# Preview
![Preview](https://i.imgur.com/S74hABn.png)
![Preview](https://i.imgur.com/uPO1srk.png)
![Preview](https://i.imgur.com/hSFx84q.png)
![Preview](https://i.imgur.com/BR0qeDn.png)
![Preview](https://i.imgur.com/QQS4OwL.png)

# Info

Auriel, the Light of Hope, graces us with her presence in battle. 

The scale of the crosshair is configurable.

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][portrait] | Auriel | Skills |
| ![][passive] | Passive | Auriel can fly at will. Auriel passively charges Energy when casting Searing Light. Energy allows Auriel to cast Energy Skills. |
| ![][primary] | Primary: Searing Light | Auriel fires a fiery angelic light that pierces and hits all enemies in a line for 260% damage. While under the effects of Bestow Hope, Searing Light travels farther and faster. |
| ![][secondary] | Secondary: Sacred Sweep | Auriel sweeps the area with sacred power, pulling all nearby enemies to it's core and dragging them along it's path. |
| ![][secondaryEmp] | Secondary Empowered: Divine Beam | Auriel charges a divine power from within, piercing enemies with a powerful beam of light dealing 100% +Energy damage per hit and burns their wretched flesh. |
| ![][utility] | Utility: Bestow Hope | Auriel recovers a 5% of her health and gains 45% attack speed and 45% movement speed for a short duration. |
| ![][utilityEmp] | Utility Empowered: Ray of Heaven | Auriel blesses the ground with divine power, healing her and her teammates for 5% of her max health +Energy per second. |
| ![][special] | Special: Wrath of Heaven | Auriel channels a ray from heaven, granting her divine protection and deals 50% damage per second to nearby enemies. At the end of this cast, Auriel releases a burst of fiery light around her dealing 290% damage. |
| ![][specialEmp] | Special Empowered: Resurrect | Channel on the spirits of fallen komrades. After channeling for 2 seconds, they are brought back to life. |

[portrait]: https://i.imgur.com/nQ6qF8Q.png
[passive]: https://i.imgur.com/N2dLcwn.png
[primary]: https://i.imgur.com/JLIbmnP.png
[secondary]: https://i.imgur.com/O5CxCkM.png
[secondaryEmp]: https://i.imgur.com/M3cwjzt.png
[utility]: https://i.imgur.com/wyGDsK9.png
[utilityEmp]: https://i.imgur.com/i5HwlBA.png
[special]: https://i.imgur.com/LczVC07.png
[specialEmp]: https://i.imgur.com/sBguJzj.png

# Commission
I take commissions, wanna create and play your favorite character? DM me:
- Discord Contact: 
  - Dragonyck#4653
  - dragonyck

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API 

2 - Extract the "Auriel" dll to your plugins folder

3 - Have fun!

# Credits
Dragonyck - Mod author.

Rob - Character templates.

KEB - IDRS Helper.

Violet - Big brain.

Everyone involved with the cores/api's that made modding possible, and a big thank you to the thunderstore developers and moderators that created and maintained this nice website to share our mods.

All the peeps with bug reports and stuff.

# Changelog
`1.6.0`
- Updated to R2API split assemblies.
- Bestow Hope buffs 25%=>45%
- Resurrect now works on all dead players.
- Energy bar redone.
- VFX reworks and improvements.
- Animation improvements.
- Fixes.

`1.5.0`
- SOTV Update
- Some character display improvements.
	
`1.4.0`
- Energy build up coefficient doubled.
- Special tick damage increased from 50%->400%. Added Linear falloff.
- Special final explosion damage increased 290%->600%. Explosion radius was reduced by half.
- Special now can only be cancelled by pressing it again.
- M1 can no longer be cast while casting Special, though M2 and Utility can still be used.
- Added new Emp M2 Laser Effect.
- Added radius indicator to Special.
- Fixed mesh replacements.
- Some internal changes for better R2API compatibility.

`1.3.0`
- Turned Energy system into a component, meaning it will have better multiplayer compatibility and better overall performance and stability.
- Reduced Searing Light range to incentivize medium-close range combat and to improve balance a bit. Bestow Hope still makes it go far af.
- Jump pads no longer send you to oblivion.
- Improved skill descriptions.
- Fixed Bestow Hope buff icon.
- Fixed Empowered Skills energy bonus multiplier, now they properly increase based on the amount of energy spent.
	
`1.2.0`
- Migrated back to R2API, because enigma. 

`1.1.1`
- Fixed survivor unlock condition.

`1.1.0`
- Added 4 skins and a unlock for each.

`1.0.9`
- Removed a debugging function.

`1.0.8`
- Fixed eror on plugin startup.

`1.0.7`
- Added survivor unlockable, fixed Milky Chrysalis and Crowdfunder, *hopefully* fixed errors.

`1.0.3`
- Fixed bug that wouldn't correctly resurrect players if they were already resurrected by other means.

`1.0.2`
- Fixed M2 firing multiple projectiles in multiplayer.

`1.0.0`
- Release
